Vincent is here! Just say the word, and Vincent will build the campaigns for you! Get early access.
curl --request POST \
--url https://{cluster}.voucherify.io/v1/loyalties/{campaignId}/rewards \
--header 'Content-Type: application/json' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>' \
--data '
[
{
"reward": "rew_wg2pvCr5LDhCq4uVQZ9LhuZm",
"parameters": {
"loyalty": {
"points": 2
}
}
},
{
"reward": "rew_z35ffKoH0tCcck8EL56p6SIs",
"parameters": {
"loyalty": {
"points": 2
}
}
}
]
'[
{
"id": "rewa_Iw9VopmlLm0topBG17ZH1gp5",
"reward_id": "rew_wg2pvCr5LDhCq4uVQZ9LhuZm",
"related_object_id": "camp_fkZ28pe7DUAEmmabofkxHI8N",
"related_object_type": "campaign",
"parameters": {
"loyalty": {
"points": 2
}
},
"created_at": "2022-11-28T18:54:19.747Z",
"updated_at": null,
"object": "reward_assignment"
},
{
"id": "rewa_tAFZ7cHiTwZyOg1QaWHt6yYv",
"reward_id": "rew_z35ffKoH0tCcck8EL56p6SIs",
"related_object_id": "camp_fkZ28pe7DUAEmmabofkxHI8N",
"related_object_type": "campaign",
"parameters": {
"loyalty": {
"points": 2
}
},
"created_at": "2022-11-28T18:54:19.747Z",
"updated_at": null,
"object": "reward_assignment"
}
]Add rewards to a loyalty campaign.
curl --request POST \
--url https://{cluster}.voucherify.io/v1/loyalties/{campaignId}/rewards \
--header 'Content-Type: application/json' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>' \
--data '
[
{
"reward": "rew_wg2pvCr5LDhCq4uVQZ9LhuZm",
"parameters": {
"loyalty": {
"points": 2
}
}
},
{
"reward": "rew_z35ffKoH0tCcck8EL56p6SIs",
"parameters": {
"loyalty": {
"points": 2
}
}
}
]
'[
{
"id": "rewa_Iw9VopmlLm0topBG17ZH1gp5",
"reward_id": "rew_wg2pvCr5LDhCq4uVQZ9LhuZm",
"related_object_id": "camp_fkZ28pe7DUAEmmabofkxHI8N",
"related_object_type": "campaign",
"parameters": {
"loyalty": {
"points": 2
}
},
"created_at": "2022-11-28T18:54:19.747Z",
"updated_at": null,
"object": "reward_assignment"
},
{
"id": "rewa_tAFZ7cHiTwZyOg1QaWHt6yYv",
"reward_id": "rew_z35ffKoH0tCcck8EL56p6SIs",
"related_object_id": "camp_fkZ28pe7DUAEmmabofkxHI8N",
"related_object_type": "campaign",
"parameters": {
"loyalty": {
"points": 2
}
},
"created_at": "2022-11-28T18:54:19.747Z",
"updated_at": null,
"object": "reward_assignment"
}
]Documentation Index
Fetch the complete documentation index at: https://docs.voucherify.io/llms.txt
Use this file to discover all available pages before exploring further.
Unique campaign ID or name of the loyalty campaign. You can either pass the campaign ID, which was assigned by Voucherify, or the name of the campaign as the path parameter value, e.g., Loyalty%20Campaign.
"camp_rRsfatlwN7unSeUIJDCYedal"
Define the cost of the rewards in loyalty points.
Returns a list of reward assignment objects.
Response body schema for POST v1/v1/loyalties/{campaignId}/rewards.
Unique reward assignment ID, assigned by Voucherify.
"rewa_PbIRoMXpwe5QhobW4JKu0VjH"
Associated reward ID.
"rew_C7wS9eHFDN4CIbXI5PpLSkGY"
Timestamp representing the date and time when the reward assignment was created. The value is shown in the ISO 8601 format.
"2022-08-11T14:49:22.586Z"
Timestamp representing the date and time when the reward assignment was updated. The value is shown in the ISO 8601 format.
"2022-08-11T16:01:34.885Z"
The type of the object represented by the JSON. This object stores information about the reward assignment.
reward_assignment Related object ID to which the reward was assigned.
"camp_wciTvaOfYmAa3EmIIW3QpXXZ"
Related object type to which the reward was assigned.
campaign Defines the cost of the reward.
Show child attributes
Was this page helpful?